DataGEMS Gateway API v1¶
Gateway API exposing the DataGEMS underpinning functionality
Collection¶
POST /api/collection/query¶
Query collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"74425222-0abc-44b4-8a5b-f20b5fca9d02"
],
"excludedIds": [
"b0034514-c50f-4f51-8b2e-af06c25effef"
],
"datasetIds": [
"9670dffb-8b79-4350-8920-f185d4d8bcd8"
],
"like": "string",
"contextRoles": [
"string"
],
"contextRoleSubjectId": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items containing the specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name matches the pattern",
"nullable": true
},
"contextRoles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items that the provided user has explicit access kind. If set, the list of values must not be empty",
"nullable": true
},
"contextRoleSubjectId": {
"type": "string",
"description": "Limit lookup to items that the provided user has explicit access kind. This should only be set in combination with ContextRoles. If left empty, the current user is used",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "74731445-1c46-48bb-a415-05d6d099d6d1",
"code": "string",
"name": "string",
"datasets": [
{
"id": "7014e418-ac11-4872-b5f4-645c5429a300",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": null,
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 60,
"permissions": [
"string"
]
}
],
"count": 160
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Collection"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
GET /api/collection/{id}¶
Lookup collection by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Responses
{
"items": [
{
"id": "b2e79300-2692-4e19-996b-788cff603755",
"code": "string",
"name": "string",
"datasets": [
{
"id": "c1ce31f0-2e74-4d9f-8a8e-9a029b81c658",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": null,
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 139,
"permissions": [
"string"
]
}
],
"count": 212
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Collection"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
DELETE /api/collection/{id}¶
Deletes the collection by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to delete |
Responses
POST /api/collection/persist¶
Persist collection
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "fe3e41f1-3b17-4679-bfdb-5fa88b6f625e",
"code": "string",
"name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "2c8ec61e-b46e-4995-ae17-98d80ba2ca5e",
"code": "string",
"name": "string",
"datasets": [
{
"id": "0d1b2688-c2ae-424b-9b76-1f07151b9ff0",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "100c8599-7587-4513-8b0c-c40c5e8d25fa",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 25,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 265,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
POST /api/collection/persist/deep¶
Persist collection along with details provided
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "edf9bf3d-4629-448f-baf9-e54776a4c5eb",
"code": "string",
"name": "string",
"datasets": [
"7f9b634c-bff9-4e85-8a52-4b17679efc2e"
]
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "98222791-fcc6-4658-a90f-77f1ac429b07",
"code": "string",
"name": "string",
"datasets": [
{
"id": "4a9c2dc4-3342-45af-8376-1241a27e99c1",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "de801519-7614-446b-bc05-4239d944685a",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 157,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 100,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
POST /api/collection/patch/dataset¶
Patch collection with updated datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "41867992-75bd-4ff4-b936-18e2ee33d969",
"datasets": [
"5c9f0381-b0b1-40c4-a3f9-30defdb9ee05"
]
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "6034a9fd-e04c-47ba-adc1-d60ab2d1ebf0",
"code": "string",
"name": "string",
"datasets": [
{
"id": "6b8f8484-47c5-437b-9b4e-bae020c18a73",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "c42ed0fd-c665-43c3-abb3-9842a6d1b43b",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 179,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 167,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
POST /api/collection/{collectionId}/dataset/{datasetId}¶
Add dataset in collection
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The collection id to add the provided dataset | |
datasetId |
path | string | No | The dataset id to add the provided collection | |
f |
query | array | No |
Responses
{
"id": "73d8fbde-4f0e-41f3-8aa7-8cacb8ab5386",
"code": "string",
"name": "string",
"datasets": [
{
"id": "91813d93-937c-47c7-a9e4-2fc5e136b495",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "8117e41a-0d41-4973-9795-f9f057dd53e9",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 57,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 68,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
DELETE /api/collection/{collectionId}/dataset/{datasetId}¶
Remove dataset from collection
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The collection id from which to remove the provided dataset | |
datasetId |
path | string | No | The dataset id to remove from the provided collection | |
f |
query | array | No |
Responses
{
"id": "af49d9f6-5fd8-4b1f-be96-f45109f0612e",
"code": "string",
"name": "string",
"datasets": [
{
"id": "8b2660c1-9b9b-4842-b6e2-b36bf8f97ab3",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "6efaeffb-09ed-4884-b67c-106bb021d02f",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 5,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"datasetCount": 183,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Conversation¶
POST /api/conversation/query¶
Query conversations
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"d6524c29-7b36-401c-bcec-7b034022869e"
],
"userIds": [
"7c6661ed-49fe-4a35-a83a-7e1eb6b6f7ce"
],
"excludedIds": [
"0ce40f0a-e8e0-4b16-9c60-1da2e7a2d60f"
],
"isActive": [
0
],
"like": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"userIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to specific user ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name or email matches the pattern",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "c610aa5d-0ea4-467d-991e-947a214a3e3d",
"name": "string",
"user": {
"id": "3c7f68b1-9be9-42fd-bb2c-8451a9607a00",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "69dba287-baab-4f86-a514-ef16bbbdbf69",
"dataset": {
"id": "4d134650-b8c9-4381-8f1e-a5f868a0ad57",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "e59edf5f-b3ce-44ea-8a9c-b0270783b763",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 167,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": null,
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": [
{
"id": "1e36d07f-7dba-46ef-be8c-74bde3498c47",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 131
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Conversation"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
POST /api/conversation/me/query¶
Query user owned conversations
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"0c13c02b-a124-40fd-84d8-258018751913"
],
"userIds": [
"21eca1fc-540a-41da-9c41-36756d2aa499"
],
"excludedIds": [
"0d6b46a5-edf5-4b1c-a242-5e8b2be1f628"
],
"isActive": [
0
],
"like": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"userIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to specific user ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name or email matches the pattern",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "190dabf7-b45e-4ba9-9fbe-5d01db49e614",
"name": "string",
"user": {
"id": "69df844e-0221-4bdc-bf8b-b5101e5a0b04",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "6d6504f7-eec1-4de0-ba52-5b0db91b785d",
"dataset": {
"id": "775a4113-84a7-49d2-b281-cc45dd4504dd",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "135acd90-5919-421a-85fa-c5adc6854956",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 55,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": null,
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": [
{
"id": "b8551d45-688e-48dc-8821-affb344c453b",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 114
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Conversation"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
GET /api/conversation/{id}¶
Lookup conversation by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Responses
{
"items": [
{
"id": "15b1d814-67a5-4b23-a041-02249f44d0c5",
"name": "string",
"user": {
"id": "38480946-7d41-4fbe-94b7-98bc4bfb1774",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "ed6f69a3-d550-47bc-a909-9b417c0fd9c2",
"dataset": {
"id": "4093fd41-d389-400e-9e0c-c6cc023e504e",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "10b6c201-cd9a-4c2f-8114-a80581c3c023",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 195,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": null,
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": [
{
"id": "a925434b-71b5-42cc-a78f-1a5343d034af",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 267
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Conversation"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
DELETE /api/conversation/{id}¶
Deletes the user conversation by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to delete |
Responses
POST /api/conversation/me/persist¶
Persist user owned conversation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "bce6e4e9-6eda-4683-921e-bd317980c970",
"name": "string",
"eTag": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "ec60b939-6ada-4bac-a26c-d607b9499be8",
"name": "string",
"user": {
"id": "d32bedfc-9312-4e59-965b-96e663973fb7",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "bf443e66-2775-4773-992f-2c0980aa38a0",
"dataset": {
"id": "47eeb7f8-3797-456c-8279-249438a536d7",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "e2488988-72b8-4aa1-a0dd-56cf8fa9fb3e",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 43,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "b73f5c86-87cc-4883-b8e1-e45f8c7b5343",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "7a5aaed5-e4c5-46cc-ba6a-40045c9574be",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/conversation/me/persist/deep¶
Persist user owned conversation along with details provided
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "727e729d-93c1-4799-9830-e0863c7deed8",
"name": "string",
"conversationDatasets": [
{
"id": "4b0360ce-f3e9-4254-b264-44a27018494f",
"conversationId": "fc0df275-5304-4ac5-8387-b735ff364c42",
"datasetId": "e376bd5a-a69b-4844-a08f-ae866c49366f",
"eTag": "string"
}
],
"eTag": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"conversationDatasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDatasetPersist"
},
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "209d1f2d-3474-49ac-9424-2059652a7d87",
"name": "string",
"user": {
"id": "03e47602-1214-48f1-b190-8f363221ac0d",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "29efde53-60a8-4f24-8655-2f4315538333",
"dataset": {
"id": "26370427-7725-4c56-aa51-bb58e3c76109",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "100b8e67-0ff6-4597-8ab8-9a5421d115a3",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 124,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "00dd53ef-3cba-4ea0-9aad-7c23baf8ac7a",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "c3edd965-e7ae-47dc-96fb-c708c05372d1",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/conversation/me/patch/dataset¶
Patch user owned conversation with updated datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "02afc370-3bdb-4198-bf87-725802087f8f",
"conversationDatasets": [
{
"id": "cd089c8b-1b5b-4fc0-b077-a538aeb2144a",
"conversationId": "dcd97242-c002-4dc4-840b-bb59abffa698",
"datasetId": "38ddad91-d96e-46b9-88c3-defd8b3ef3a2",
"eTag": "string"
}
],
"eTag": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"conversationDatasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDatasetPersist"
},
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "f414d4ee-cf69-4b74-b44a-e49232ef54ab",
"name": "string",
"user": {
"id": "66fc998a-df71-4e39-a5cc-cf4ba7ae5c81",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "5e6e25a8-16a6-4763-af8b-b5c4911f3c12",
"dataset": {
"id": "e6201746-67b9-4c47-a863-81a467e7c1a1",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "c60b795a-5b3f-4d16-a3c1-72ce2486b88d",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 149,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "9b6062f6-8c75-4b82-acc0-4926da96a118",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "287a6209-1238-4938-8f36-3fa65df88fb3",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/conversation/dataset/query¶
Query conversation datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"e03d832e-167b-432e-804a-229cd755c46f"
],
"excludedIds": [
"55dd2259-b268-454c-985a-1c4d518593a2"
],
"conversationIds": [
"bc69d5af-3ee0-4b4d-9670-5d1b47d7ca1a"
],
"datasetIds": [
"37476ddb-251f-4ec0-aa97-08d23fd5e24b"
],
"isActive": [
0
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "a0daa4a0-7086-4c79-8693-462dc6ed804d",
"dataset": {
"id": "565d292c-4c05-4b22-9af9-2e48f93caf2c",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "47ef7994-4f44-410f-a65d-b6fcfbab1fd5",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 97,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "30386efe-1e9f-452e-8095-f31ab25b0aad",
"name": "string",
"user": {
"id": "b0d0539b-3dae-4c16-96a4-0eda0ed682aa",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": null,
"messages": [
{
"id": "2dd4f025-7eb9-4aee-bf08-5de8ed843177",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 33
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
POST /api/conversation/dataset/me/query¶
Query user owned conversation datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"86a82f85-142e-498d-b9db-73cea781844c"
],
"excludedIds": [
"130c1a1b-d882-45d0-a198-007b925fd8ec"
],
"conversationIds": [
"4dcd0345-d974-434e-b52a-90fb0dfdb2be"
],
"datasetIds": [
"631aff51-5d0b-49d2-a15e-8cdc48e677bb"
],
"isActive": [
0
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "67802fe7-5698-4cec-a93e-058330cee0c4",
"dataset": {
"id": "28aba7da-3eab-401f-8c04-270d5e536919",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "5f2871ef-2b5a-40af-85f1-3820bb1da487",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 213,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "edf61491-54da-41a0-ba61-51a904129207",
"name": "string",
"user": {
"id": "cf5ce695-f662-4871-b638-22a715a397fc",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": null,
"messages": [
{
"id": "dbff681a-c103-4029-99d4-2066ba89aa56",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 92
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
GET /api/conversation/dataset/{id}¶
Lookup conversation dataset by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Responses
{
"items": [
{
"id": "b0309ea4-202a-4607-9bc0-e37a5179b155",
"dataset": {
"id": "4a32f833-b18f-47c2-aa5a-41f93721682c",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "c3ca82c4-deab-4908-b594-5c5e0f28a5e2",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 231,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "914328b8-b8bb-414f-8ee8-9f90e2c883a6",
"name": "string",
"user": {
"id": "958788c3-8892-437c-a8e0-a595aed6cd6c",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": null,
"messages": [
{
"id": "c22d60bd-bddd-44f5-8919-8bf102b30ef6",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 66
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
POST /api/conversation/dataset/me/{conversationId}/{datasetId}¶
Add dataset in owned conversation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
conversationId |
path | string | No | The conversation id to add the provided dataset | |
datasetId |
path | string | No | The dataset id to add the provided conversation | |
f |
query | array | No |
Responses
{
"id": "58f6622c-125a-4ca6-beae-3d1f5d890547",
"name": "string",
"user": {
"id": "15310537-5aaa-46a9-8dd6-bd6903c8458e",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "10341055-10c2-440f-8681-6981eb669041",
"dataset": {
"id": "cf6a4412-bbc1-4784-b2ac-45519d95724c",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "eb43b56d-5076-462b-933a-82a90f101938",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 82,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "39b374ca-b161-4004-8da4-e96c169ea404",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "0ffc80ef-831e-46c5-8b83-861296c9270e",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
DELETE /api/conversation/dataset/me/{conversationId}/{datasetId}¶
Remove dataset from owned conversation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
conversationId |
path | string | No | The conversation id from which to remove the provided dataset | |
datasetId |
path | string | No | The dataset id to remove from the provided conversation | |
f |
query | array | No |
Responses
{
"id": "2d556f28-1e54-4464-852a-ccc63e33c26d",
"name": "string",
"user": {
"id": "fb710474-959e-446a-ae1f-54884fd9dd74",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "b2a61091-96fd-42f2-8251-f68e193b9343",
"dataset": {
"id": "a79c424b-8d12-412d-92de-c8037ba55c09",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "da912dc7-6ddd-48b8-8d5f-cc6eb7e1d4b1",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 141,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": {
"id": "19275670-e3b9-407e-84cb-08623fb61a65",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "aa2877c8-4f18-4fed-842e-488e148f7aff",
"conversation": null,
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/conversation/message/query¶
Query conversation messages
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"c856b952-a8b5-4811-a080-a47ca3380de2"
],
"excludedIds": [
"a1c82eb5-f42a-4140-9451-74451d81776a"
],
"conversationIds": [
"ada224eb-1b48-4667-b1a9-4ccd655e5907"
],
"kinds": [
0
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"kinds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessageKind"
},
"description": "Limit lookup to items that have the specific kind. If set, the list of ids must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "07a6dc8d-2b67-4dac-8eca-6cdc65139949",
"conversation": {
"id": "bf592000-987a-45d6-96ad-6f18bf58e70d",
"name": "string",
"user": {
"id": "98ce4303-7b9a-4acf-aff5-52b624b9e42a",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "1225d7b0-1bc1-464f-b1fc-2ee97444eedc",
"dataset": {
"id": "f1d1b2a7-e537-429f-9836-ded6c3254e27",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "addc3557-5708-4f19-b521-0996a3487023",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 151,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": null,
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"count": 253
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
POST /api/conversation/message/me/query¶
Query user owned conversation messages
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"c999d145-f98c-468f-9a48-5802287386dc"
],
"excludedIds": [
"8ec6c872-0037-4bda-9262-6a0f1aaf4214"
],
"conversationIds": [
"64fad70f-6d59-45e0-afe5-5b447089ed3e"
],
"kinds": [
0
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"kinds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessageKind"
},
"description": "Limit lookup to items that have the specific kind. If set, the list of ids must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "cef3699d-f728-4fde-8496-21b7fa07ebd8",
"conversation": {
"id": "5c960bd4-0367-4fb2-a320-88e619ff1b25",
"name": "string",
"user": {
"id": "00259229-2bd8-4575-9deb-e9b0618b6dde",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"datasets": [
{
"id": "ab9db160-7109-49f6-9725-8bb2372110cd",
"dataset": {
"id": "0ba2b036-81ec-415d-bbdc-02b8e3233840",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "10b60838-cef3-4f98-b52f-2296a59f3700",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 85,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"conversation": null,
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"kind": 0,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"count": 143
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Dataset¶
POST /api/dataset/query¶
Query datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"53b85f94-6a34-4e2a-b503-459ca863e888"
],
"excludedIds": [
"814b53f3-786b-4d70-bd13-25b791976443"
],
"collectionIds": [
"140ad87e-3693-4aa9-8db2-77c3d0878a90"
],
"mimeTypes": [
"string"
],
"state": 0,
"like": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"collectionIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to the specific collection ids. If set, the list of ids must not be empty",
"nullable": true
},
"mimeTypes": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items with specific mime types. If set, the list of mime types must not be empty",
"nullable": true
},
"state": {
"$ref": "#/components/schemas/DatasetState"
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name matches the pattern",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "a1afd4af-457d-474f-a2fd-432f8d43e2e0",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "a1e6e674-212a-457f-965b-2f189858f1d7",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 68,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"count": 84
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
GET /api/dataset/{id}¶
Lookup dataset by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Responses
{
"items": [
{
"id": "1146a3c8-2043-47da-816c-9d7829478de7",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "f01f7c2d-2dfe-4c8b-a66b-1e96d71998b7",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 274,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
],
"count": 11
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
POST /api/dataset/onboard¶
Onboard dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "bb9e9e2c-8106-4a65-98f7-c679b30ac3d3",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"dataLocations": [
{
"kind": 0,
"location": "string"
}
],
"citeAs": "string",
"doi": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"license": {
"type": "string",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"headline": {
"type": "string",
"nullable": true
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"fieldOfScience": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"language": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"country": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"datePublished": {
"type": "string",
"format": "date",
"nullable": true
},
"dataLocations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/DataLocation"
},
"nullable": true
},
"citeAs": {
"type": "string",
"nullable": true
},
"doi": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
"eacd952a-8445-4966-ae9e-06ac1bdf0f9b"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
POST /api/dataset/profile¶
Profile dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"id": "6ccb5bab-151f-4c8f-b244-0abdc7fe30ee",
"dataStoreKind": 0,
"databaseName": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"dataStoreKind": {
"$ref": "#/components/schemas/DataStoreKind"
},
"databaseName": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
"e3cb2177-aed4-408f-b619-3321a234d819"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
POST /api/dataset/package¶
Package dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"id": "9c701b77-fe8f-4be2-ac44-59102ce341e7"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
Responses
"66a1e157-be67-4b7b-81bc-bd1add29f546"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
POST /api/dataset/recommendation-register¶
Register dataset to recommendation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"id": "37453c1d-ef08-4d50-bb8b-529aa53b10a4"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
Responses
"5af252ec-a4a0-4c55-9557-a48b50ed34d0"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Pilot¶
POST /api/pilot/mathe/recommend¶
Generate material-based recommendations
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"questionId": "string",
"question": "string",
"recommendedMaterialsCount": 191
}
Schema of the request body
{
"type": "object",
"properties": {
"questionId": {
"type": "string",
"nullable": true
},
"question": {
"type": "string",
"nullable": true
},
"recommendedMaterialsCount": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Responses
{
"question_id": "string",
"recommendations": [
{
"material_id": "string"
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"question_id": {
"type": "string",
"nullable": true
},
"recommendations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Recommendation"
},
"nullable": true
}
},
"additionalProperties": false
}
POST /api/pilot/language/linguistic-features¶
Discover linguistic features
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"query": "string",
"datasetIds": [
"8e5bb376-f98d-46b9-9916-56fdd02b5bd4"
]
}
Schema of the request body
{
"type": "object",
"properties": {
"query": {
"type": "string",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"features": [
{
"term_frequency": [
{
"term": "string",
"frequency": 10.12,
"count": 71
}
],
"sentiment_profile": {
"label": "string",
"positive_terms": 19,
"negative_terms": 164,
"neutral_terms": 175,
"total_terms": 12,
"polarity_score": 10.12,
"subjectivity_score": 10.12
},
"collocations": [
{
"terms": [
"string"
],
"count": 29,
"association_score": 10.12
}
],
"dataset_id": "e3fb5f0e-3051-4bfe-b27e-293fc82c09f0",
"object_id": "string",
"similarity": 10.12
}
],
"used_chunks": [
{
"dataset_id": "c75ba5f2-2656-4918-b93d-2bcc06708ae8",
"object_id": "string",
"similarity": 10.12
}
]
}
Schema of the response body
{
"type": "object",
"properties": {
"features": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Metric"
},
"nullable": true
},
"used_chunks": {
"type": "array",
"items": {
"$ref": "#/components/schemas/BaseMetric"
},
"nullable": true
}
},
"additionalProperties": false
}
Principal¶
GET /api/principal/me¶
Retrieve information for the logged in user
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Responses
{
"userId": "3dea7de0-930f-4c3e-916f-c9a81b455823",
"isAuthenticated": true,
"principal": {
"subject": "string",
"name": "string",
"username": "string",
"givenName": "string",
"familyName": "string",
"email": "string"
},
"token": {
"client": "string",
"issuer": "string",
"tokenType": "string",
"authorizedParty": "string",
"audience": [
"string"
],
"expiresAt": "2022-04-13T15:42:05.901Z",
"issuedAt": "2022-04-13T15:42:05.901Z",
"scope": [
"string"
]
},
"roles": [
"string"
],
"permissions": [
"string"
],
"deferredPermissions": [
"string"
],
"more": {}
}
Schema of the response body
{
"type": "object",
"properties": {
"userId": {
"type": "string",
"format": "uuid",
"nullable": true
},
"isAuthenticated": {
"type": "boolean",
"nullable": true
},
"principal": {
"$ref": "#/components/schemas/PrincipalInfo"
},
"token": {
"$ref": "#/components/schemas/TokenInfo"
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"deferredPermissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"more": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"nullable": true
}
},
"additionalProperties": false
}
POST /api/principal/context-grants/query¶
Query context grants
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"datasetIds": [
"0e6e621a-229f-48aa-8827-12edbc7ba049"
],
"collectionIds": [
"b6751cde-cfb6-4290-85ae-5b4370e7f2b2"
],
"roles": [
"string"
],
"subjectId": "string",
"targetKinds": [
0
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items target specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"collectionIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items target specific collection ids. If set, the list of ids must not be empty",
"nullable": true
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items granting specific roles. If set, the list of roles must not be empty",
"nullable": true
},
"subjectId": {
"type": "string",
"description": "Limit lookup to items granting access to specific subject. If empty, use current user",
"nullable": true
},
"targetKinds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TargetKind"
},
"description": "Limit lookup to items of specific kind. If set, the list of roles must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"principalId": "string",
"principalType": 0,
"targetType": 0,
"targetId": "fe144d46-8a92-4370-86d5-687039e9133f",
"role": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"principalId": {
"type": "string",
"nullable": true
},
"principalType": {
"$ref": "#/components/schemas/PrincipalKind"
},
"targetType": {
"$ref": "#/components/schemas/TargetKind"
},
"targetId": {
"type": "string",
"format": "uuid"
},
"role": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
GET /api/principal/me/context-grants¶
Retrieve the assigned context grants for the logged in user
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Responses
[
{
"principalId": "string",
"principalType": 0,
"targetType": 0,
"targetId": "dc2ea77f-7a22-4b54-be0c-8debd1b1b6e0",
"role": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ContextGrant"
}
}
GET /api/principal/me/context-grants/collection¶
Retrieve the assigned context grants for the logged in user relevant to the provided collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The collection id to retrieve context grants for |
Responses
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
GET /api/principal/me/context-grants/dataset¶
Retrieve the assigned context grants for the logged in user relevant to the provided datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The dataset id to retrieve context grants for |
Responses
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
GET /api/principal/user/{subjectId}/context-grants¶
Retrieve the assigned context grants for the provided user
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
subjectId |
path | string | No | The subject id of the user to retrieve context grants for |
Responses
[
{
"principalId": "string",
"principalType": 0,
"targetType": 0,
"targetId": "2e0ba540-33d0-458b-9f75-f48397871514",
"role": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ContextGrant"
}
}
GET /api/principal/group/{groupId}/context-grants¶
Retrieve the assigned context grants for the provided group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
groupId |
path | string | No | The group id of the user to retrieve context grants for |
Responses
[
{
"principalId": "string",
"principalType": 0,
"targetType": 0,
"targetId": "6ed89729-99c9-4798-b80a-d982dec088dd",
"role": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ContextGrant"
}
}
GET /api/principal/user/{subjectId}/context-grants/collection¶
Retrieve the assigned context grants for the provided user relevant to the provided collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The collection id to retrieve context grants for | |
subjectId |
path | string | No | The subject id of the user to retrieve context grants for |
Responses
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
GET /api/principal/group/{groupId}/context-grants/collection¶
Retrieve the assigned context grants for the provided user group relevant to the provided collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
groupId |
path | string | No | The group id of the group to retrieve context grants for | |
id |
query | array | No | The collection id to retrieve context grants for |
Responses
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
GET /api/principal/user/{subjectId}/context-grants/dataset¶
Retrieve the assigned context grants for the provided user relevant to the provided datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The dataset id to retrieve context grants for | |
subjectId |
path | string | No | The subject id of the user to retrieve context grants for |
Responses
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
GET /api/principal/group/{groupId}/context-grants/dataset¶
Retrieve the assigned context grants for the provided user group relevant to the provided datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
groupId |
path | string | No | The group id of the user group to retrieve context grants for | |
id |
query | array | No | The dataset id to retrieve context grants for |
Responses
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
POST /api/principal/context-grants/user/{userId}/dataset/{datasetId}/role/{role}¶
Add user to dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to add | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to add to the provided context grant group |
Responses
DELETE /api/principal/context-grants/user/{userId}/dataset/{datasetId}/role/{role}¶
Remove user from dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to remove | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to remove from the provided context grant group |
Responses
POST /api/principal/context-grants/group/{groupId}/dataset/{datasetId}/role/{role}¶
Add user group to dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to add | |
groupId |
path | string | No | The user group id to add to the provided context grant group | |
role |
path | string | No | The context grant role to add |
Responses
DELETE /api/principal/context-grants/group/{groupId}/dataset/{datasetId}/role/{role}¶
Remove user group from dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to remove | |
groupId |
path | string | No | The user group id to remove from the provided context grant group | |
role |
path | string | No | The context grant role to add |
Responses
POST /api/principal/context-grants/user/{userId}/collection/{collectionId}/role/{role}¶
Add user to collection context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The context grant collection to add | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to add to the provided context grant group |
Responses
DELETE /api/principal/context-grants/user/{userId}/collection/{collectionId}/role/{role}¶
Remove user from collection context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The context grant collection to remove | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to remove from the provided context grant group |
Responses
POST /api/principal/context-grants/group/{groupId}/collection/{collectionId}/role/{role}¶
Add user group to collection context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The context grant collection to add | |
groupId |
path | string | No | The user group id to add to the provided context grant group | |
role |
path | string | No | The context grant role to add |
Responses
DELETE /api/principal/context-grants/group/{groupId}/collection/{collectionId}/role/{role}¶
Remove user group from collection context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The context grant collection to remove | |
groupId |
path | string | No | The user group id to remove from the provided context grant group | |
role |
path | string | No | The context grant role to add |
Responses
Search¶
POST /api/search/cross-dataset¶
Cross-dataset search
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"query": "string",
"resultCount": 196,
"datasetIds": [
"57a697f8-3d49-4c7a-9178-4c895eb55668"
],
"collectionIds": [
"faa1afb4-2b29-4281-bd42-b975d2ca9cae"
],
"conversationOptions": {
"conversationId": "fa3bcfdc-5980-4cb6-9829-1ed49ad2364b",
"autoCreateConversation": true,
"autoUpdateDatasets": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"query": {
"type": "string",
"description": "The user query for which datasets must be discovered",
"nullable": true
},
"resultCount": {
"type": "integer",
"description": "The number of results to retrieve for the query",
"format": "int32",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to datasets from the specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"collectionIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to datasets from the specific collections Ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationOptions": {
"$ref": "#/components/schemas/ConversationOptions"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"result": [
{
"dataset": {
"id": "b1b7d078-3c51-4ef3-ae82-5a027b49cdef",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "f65cf550-7552-46a4-a584-473671bce4c7",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 143,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
},
"maxSimilarity": 10.12,
"hits": [
{
"content": "string",
"objectId": "string",
"similarity": 10.12
}
]
}
],
"conversationId": "169ddc89-7d9d-41b6-a164-364b561c37dc"
}
Schema of the response body
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"$ref": "#/components/schemas/CrossDatasetDiscovery"
},
"nullable": true
},
"conversationId": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/search/in-data-explore¶
Explore in selected data
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"query": "string",
"datasetIds": [
"843f281d-de01-452e-85fd-f523137f3a5c"
],
"conversationOptions": {
"conversationId": "868938c3-a72a-490d-9ac6-e631dca0140b",
"autoCreateConversation": true,
"autoUpdateDatasets": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"query": {
"type": "string",
"description": "A string containing the user query in natural language. Cannot be empty.",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "The datasets to look into. Cannot be empty.",
"nullable": true
},
"conversationOptions": {
"$ref": "#/components/schemas/ConversationOptions"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"result": [
{
"question": "string",
"data": {},
"status": 0,
"entries": [
{
"process": {
"kind": 0
},
"result": {
"kind": 0,
"message": "string"
},
"status": 0
}
]
}
],
"conversationId": "dbfd9689-dc62-4547-9fa5-a80ca9550575"
}
Schema of the response body
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"$ref": "#/components/schemas/InDataExplore"
},
"nullable": true
},
"conversationId": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/search/recommend¶
Recommend possible queries
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"query": "string",
"conversationOptions": {
"conversationId": "3a88bbfb-cf45-45e0-be91-c9feeeb9fe3e",
"autoCreateConversation": true,
"autoUpdateDatasets": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"query": {
"type": "string",
"description": "The query the recommendation will be based on",
"nullable": true
},
"conversationOptions": {
"$ref": "#/components/schemas/ConversationOptions"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"result": [
{
"query": "string"
}
],
"conversationId": "2f4d70c3-8fff-4afd-b528-226578a37477"
}
Schema of the response body
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"$ref": "#/components/schemas/QueryRecommendation"
},
"nullable": true
},
"conversationId": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
GET /api/search/dataset/{datasetId}/recommend¶
Recommend possible datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | ||
n |
query | integer | No |
Request body
{
"fields": [
"string"
]
}
Other accepted types: application/*+json, application/json-patch+json, text/json
Schema of the request body
{
"type": "object",
"properties": {
"fields": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Responses
[
{
"id": "8d3786a7-8371-4f48-aa95-0d433164eb67",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "af2bbbd5-adb4-4d01-9b5e-75195c8a7878",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 38,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
}
}
POST /api/search/ad-hoc/evaluate¶
Execute an ad-hoc query
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"query": "string",
"arguments": [
{
"argName": "string",
"fileObjectId": "d431e8e9-40ea-4033-9826-aa28e154023f",
"datasetId": "93cdb151-d4bc-40bd-bc32-89eb84c2e3e2",
"databaseConnectionId": "a8d6c589-32a3-4a5f-951f-deff9d4699b2"
}
]
}
Schema of the request body
{
"type": "object",
"properties": {
"query": {
"type": "string",
"nullable": true
},
"arguments": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AdHocQueryEvaluateArgument"
},
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"result": [
{
"id": "a7085aff-98d7-43ce-9971-d459ec2bbfc9",
"user": {
"id": "940a5cf3-7caf-4f91-b159-0e5dced71e92",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"analyticalPattern": "string"
}
],
"conversationId": "8b2c2aff-6353-41da-8779-7c54c58cd7e5"
}
Schema of the response body
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AdHocQuery"
},
"nullable": true
},
"conversationId": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
POST /api/search/ad-hoc/query¶
Query ad-hoc queries
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"570158fb-0be3-4ebf-a927-1a7717bfea30"
],
"userIds": [
"ea9fa171-4771-4372-bd8a-c17b78753bfa"
],
"datasetIds": [
"fa0b362d-2bbd-43cb-8482-c26b25eb5c81"
],
"excludedIds": [
"f8f21556-14e2-4e50-933e-4d191fb95ab3"
],
"isActive": [
0
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"userIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to specific user ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "cdbaf5f1-c7fe-463f-92be-0c255a3a4365",
"user": {
"id": "b49ba27e-e073-4daa-af66-d8003ea02e01",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"analyticalPattern": "string"
}
],
"count": 126
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AdHocQuery"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
GET /api/search/ad-hoc/{id}¶
Retrieve ad-hoc query results
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to lookup |
Request body
{
"fields": [
"string"
]
}
Other accepted types: application/*+json, application/json-patch+json, text/json
Schema of the request body
{
"type": "object",
"properties": {
"fields": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"id": "a40287aa-24fc-48a1-905d-5c9add8a5a3f",
"user": {
"id": "8765d619-196d-44bd-a833-d8cc7527c97e",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": 0,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"analyticalPattern": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"analyticalPattern": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
GET /api/search/ad-hoc/{id}/preview/{lines}¶
Retrieve ad-hoc query results preview
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to lookup | |
lines |
path | integer | No | The number of lines to include in the preview |
Responses
"string"
Schema of the response body
{
"type": "string"
}
POST /api/search/package/recommend¶
Recommend possible packages
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"packagesCount": 75,
"datasetsPerPackage": 206,
"datasetIds": [
"0d7afbe9-f320-4270-98a1-ccc682f2565f"
],
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"packagesCount": {
"type": "integer",
"format": "int32"
},
"datasetsPerPackage": {
"type": "integer",
"format": "int32"
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"nullable": true
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"result": [
{
"packages": [
{
"name": "string",
"datasets": [
{
"id": "b45cf3bd-1622-4c42-8217-9c8b86c4e279",
"name": "string",
"description": "string",
"license": "string",
"url": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"citeAs": "string",
"profileRaw": null,
"status": "string",
"doi": "string",
"collections": [
{
"id": "5a0293bb-f5c9-4ac5-910e-85ae0cb4e784",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 274,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
],
"features": {
"profiled": true,
"packaged": true,
"recommendation": true
}
}
]
}
]
}
],
"conversationId": "3c7cca35-33a1-4f79-93bd-575a5a343208"
}
Schema of the response body
{
"type": "object",
"properties": {
"result": {
"type": "array",
"items": {
"$ref": "#/components/schemas/PackageRecommendation"
},
"nullable": true
},
"conversationId": {
"type": "string",
"format": "uuid",
"nullable": true
}
},
"additionalProperties": false
}
Storage¶
GET /api/storage/upload/allowed-extension¶
Retrieve allowed extensions for upload
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Responses
[
"string"
]
Schema of the response body
{
"type": "array",
"items": {
"type": "string"
}
}
POST /api/storage/upload/dataset¶
Upload dataset files
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Responses
[
"string"
]
Schema of the response body
{
"type": "array",
"items": {
"type": "string"
}
}
GET /api/storage/download/dataset/{datasetId}/file-object/{fileObjectNodeId}¶
Download dataset files
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The id of the dataset | |
fileObjectNodeId |
path | string | No | The id of the file object node |
Responses
"TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ="
Other possible types: text/json, text/plain
Schema of the response body
{
"type": "string",
"format": "binary"
}
GET /api/storage/browse/dataset/{datasetId}¶
Browse dataset files
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The id of the dataset | |
nodeId |
query | string | No | The id of the node |
Responses
{
"id": "4d67b940-c3a4-41e7-8f26-22f0a496883f",
"path": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"path": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
GET /api/storage/download/ad-hoc-query/{id}¶
Download ad-hoc query results
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the ad-hoc query evaluation item whose output nmust be downloaded |
Responses
"TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ="
Other possible types: text/json, text/plain
Schema of the response body
{
"type": "string",
"format": "binary"
}
User¶
POST /api/user/query¶
Query users
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"36cbdff9-89c6-415e-9b31-882ef2c05168"
],
"excludedIds": [
"a5c3fcdd-07e1-48e5-8bb5-9b0caa349b70"
],
"idpSubjectIds": [
"string"
],
"like": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"idpSubjectIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items with specific subject identifiers as produced from the idp. If set, the list of ids must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name or email matches the pattern",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Responses
{
"items": [
{
"id": "eaa55a7d-b12d-433d-9756-41b83d0e61f3",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 100
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/User"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
GET /api/user/{id}¶
Lookup user by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Responses
{
"id": "b4c38d7a-62de-4e2b-87bc-ea14a1c4f76f",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"email": {
"type": "string",
"nullable": true
},
"idpSubjectId": {
"type": "string",
"nullable": true
},
"createdAt": {
[...]
